RoR, Apache2, fcgid and ubuntu

Hi.
I’m trying to deploy my rails application on ubuntu server using apache2
and fcgid…but have not been successful…
I am using ruby 1.8.6, rails 2.2.2 and fcgi 0.8.7 gem…
I am able to start apache successfully and view the Aptana RadRails
welcome page…But giving my controller’s name gives me a 404 error…
I have made required changes in my /public/.htaccess and
/public/dispatch.fcgi files…as=>

.htaccess(w/o comments)

AddHandler fastcgi-script .fcgi
AddHandler fcgid-script .fcgi
AddHandler cgi-script .cgi
Options +FollowSymLinks +ExecCGI
dispatch.fcgi
RewriteEngine On
RewriteRule ^$ index.html [QSA]
RewriteRule ^([^.]+)$ $1.html [QSA]
RewriteCond %{REQUEST_FILENAME} !-f
RewriteRule ^(.*)$ dispatch.fcgi [QSA,L]

ErrorDocument 500 “

Application error

Rails application failed to
start properly”

dispatch.fcgi

#!/usr/bin/ruby
require File.dirname(FILE) + “/…/config/environment”
require ‘fcgi_handler’
require ‘rubygems’
require_gem ‘fcgi’
RailsFCGIHandler.process!

I am attaching my httpd.conf file…

I have checked that my VirtualHost works perfectly…but it doesn’t seem
to start my rails application…

Can someone please tell me where am I going wrong???
Thanks in advance…


View this message in context:
http://www.nabble.com/RoR%2C-Apache2%2C-fcgid-and-ubuntu…-tp21305625p21305625.html
Sent from the RubyOnRails Users mailing list archive at Nabble.com.

I guess my question would start with this: why are you using fcgi?

I’m using the module fcgid with apache and so along with it I need the
fcgi
gem.
I tried using fastcgi module but it would crash…so I switched to
fcgid
which is much reliable than fastcgi…
I’ve also installed and used phusion passenger and ruby enterprise
edition…but no use…
It too gives me a 404 error…:-((

Can you please suggest any other way in which I can SUCCESSFULLY deploy
my
rails application on apache???
Thanks.

Bobnation wrote:

welcome page…But giving my controller’s name gives me a 404 error…
RewriteEngine On
#!/usr/bin/ruby

Can someone please tell me where am I going wrong???
Thanks in advance…


View this message in
context:http://www.nabble.com/RoR%2C-Apache2%2C-fcgid-and-ubuntu…-tp2130562…
Sent from the RubyOnRails Users mailing list archive at Nabble.com.


View this message in context:
http://www.nabble.com/RoR%2C-Apache2%2C-fcgid-and-ubuntu…-tp21305625p21325494.html
Sent from the RubyOnRails Users mailing list archive at Nabble.com.

I would actually look at Passenger again and see where things went
wrong. You can use Passenger along with just the MRI version of Ruby
(I’m running it on Ruby 1.8.7 right now).

Check out some of the Slicehost articles if you want some step-by-step
articles to follow:
http://articles.slicehost.com/2008/5/1/ubuntu-hardy-mod_rails-installation

Zeba,

You should either use mongrel or passenger.

Cheers, Sazima

Didn’t really do much, but I’m glad you got it up and running.

Now THAT’S a good feeling. :wink:

Hey…
Thanks a lot for your help…
The problem was that I didn’t enable the site by doing…
a2ensite crsa

So I was getting a 404 error…
Now I have the site up and running…:slight_smile:

Anyways…Thanks a lot for your help…

Bobnation wrote:

On Jan 7, 12:05 am, ZebaMomin [email protected].invalid wrote:

my

Hi.

require_gem ‘fcgi’


View this message in context:
http://www.nabble.com/RoR%2C-Apache2%2C-fcgid-and-ubuntu…-tp21305625p21346165.html
Sent from the RubyOnRails Users mailing list archive at Nabble.com.

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs